Bug 865329 - "Running Date" info on WebUI shows .close_date displayed instead of .running_date
"Running Date" info on WebUI shows .close_date displayed instead of .running_...
Status: CLOSED INSUFFICIENT_DATA
Product: TCMS
Classification: Other
Component: Database (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity high
: ---
: 3.9.0
Assigned To: Zheng Liu
tools-bugs
:
Depends On:
Blocks: 865334
  Show dependency treegraph
 
Reported: 2012-10-11 04:59 EDT by Chris Ward
Modified: 2016-06-13 03:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 03:45:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2012-10-11 04:59:10 EDT
Description of problem:
I have a test plan run, for example:

https://tcms.engineering.redhat.com/run/47553/

Which has a case run, for example #1610912

When i change the status of the case run to any state, the date 
in the 'Run Date' field under 'Test Case Run Detail Information'
page gets updated.

The 'Run Date' field seems to incorrectly linked to the
'closed_date' in the DB. I found this:

<div>
   <span class="detail_title">
       {% comment %}Running Date:</span>{{ test_case_run.running_date }} {% endcomment %}

   <span class="detail_title">Run Date:</span>
       {{ test_case_run.close_date }}
</div>

Which confirms my suspicion that we're showing close_date NOT running_date, as
running_date is actually commented out. 

I believe it's a bug. 

Shouldn't running date show .running_date data, not .close_date?
Comment 1 Zheng Liu 2012-10-19 01:39:19 EDT
As discussed with pm:
running_date is for test case run changed into running status.
stop_date is for test case run completed
Field name 'running_date' will be changed to 'start_date', 'close_date' will be changed to 'stop_date'.
On web UI, both two date fields will be prompted.
Comment 2 Chris Ward 2016-06-13 03:45:09 EDT
Stale bug clean up; reopen if anyone else actually supports this.

Note You need to log in before you can comment on or make changes to this bug.